var cities = [
  { name: 'London', population: 8674000 },
  { name: 'New York', population: 8406000 },
  { name: 'Sydney', population: 4293000 },
  { name: 'Paris', population: 2244000 },
  { name: 'Beijing', population: 11510000 },
];

d3.select('svg')
  .attr('width', 960)
  .attr('height', 500);

d3.select('.bars')
  .selectAll('rect')
  .data(cities)
  .join('rect')
  .attr('height', 19)
  .attr('width', (d) => d.population * 0.00004)
  .attr('y', (d, i) => i * 20);

d3.select('.labels')
	.selectAll('text')
	.data(cities)
	.join('text')
	.attr('y', (d, i) => i * 20 + 13)
  .text((d) => d.name);
